summaryrefslogtreecommitdiffstats
path: root/.local/bin/status/sb-mailbox
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/status/sb-mailbox')
-rwxr-xr-x.local/bin/status/sb-mailbox20
1 files changed, 20 insertions, 0 deletions
diff --git a/.local/bin/status/sb-mailbox b/.local/bin/status/sb-mailbox
new file mode 100755
index 0000000..ed41b03
--- /dev/null
+++ b/.local/bin/status/sb-mailbox
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# Displays number of unread mail and an loading icon if updating.
+# When clicked, brings up `neomutt`.
+
+case $BLOCK_BUTTON in
+ 1) setsid -f "$TERMINAL" -e neomutt ;;
+ 2) setsid -f mw -Y >/dev/null ;;
+ 3) notify-send "📬 Mail module" "\- Shows unread mail
+- Shows 🔃 if syncing mail
+- Left click opens neomutt
+- Middle click syncs mail" ;;
+ 6) "$TERMINAL" -e "$EDITOR" "$0" ;;
+esac
+
+unread="$(ls "${MAIL:-/var/mail/jozan}"/bousset.rudy@gmail.com/INBOX/new/ | wc -l 2>/dev/null)"
+
+pidof mbsync >/dev/null 2>&1 && icon=""
+[ "$icon" = "" ] && icon="ï›­"
+[ "$unread" -eq 0 ] || echo "$icon " $unread